// 导入所有模块api
const modules = require.context('./', true, /.js/);

const apis = {};
modules.keys().forEach(item => {
  if (item !== './index.js') {
    let api = modules(item);
    if (api.default) {
      api = { ...api, ...api.default };
      delete api.default;
    }
    for (const key in api) {
      if (apis[key]) { // 请求方法名不能重复
        throw new Error(`error: api method repeat！！! method---->${key}`);
      } else {
        apis[key] = api[key];
      }
    }
  }
});
export default apis;
